Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.exception
Class KettleValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.pentaho.di.core.exception.KettleException
                  org.pentaho.di.core.exception.KettleValueException

All Implemented Interfaces:
  Serializable

    public class KettleValueException

extends KettleException

This exception is used in value calculations.

Since:
  30-MAR-2004
Author:
  Matt
See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`KettleValueException()` Constructs a new throwable with null as its detail message.
`KettleValueException(String message)` Constructs a new throwable with the specified detail message.
`KettleValueException(String message, Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`KettleValueException(Throwable cause)` Constructs a new throwable with the specified cause and a detail message of (cause==null ? null : cause.toString()) (which typically contains the class and detail message of cause).

Method Summary

Methods inherited from class org.pentaho.di.core.exception.KettleException
`getMessage, getSuperMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### KettleValueException

    public KettleValueException()

  Constructs a new throwable with null as its detail message.

### KettleValueException

    public KettleValueException(String message)

  Constructs a new throwable with the specified detail message.

  Parameters:
    `message` - - the detail message. The detail message is saved for later retrieval by the getMessage() method.

### KettleValueException

    public KettleValueException(Throwable cause)

  Constructs a new throwable with the specified cause and a detail message of (cause==null ? null : cause.toString()) (which typically contains the class and detail message of cause).

  Parameters:
    `cause` - the cause (which is saved for later retrieval by the getCause() method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

### KettleValueException

    public KettleValueException(String message,
                                Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

  Parameters:
    `message` - the detail message (which is saved for later retrieval by the getMessage() method).
    `cause` - the cause (which is saved for later retrieval by the getCause() method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD